## NAME

d.measure - Measures the lengths and areas of features drawn by the user in the active display frame on the graphics monitor.

## SYNOPSIS

d.measure
d.measure help
d.measure [-smk] [c1=string] [c2=string]

### Flags:

-s
  Suppress clear screen
-m
  Output in meters
-k
  Output in kilometers

### Parameters:

c1=string
  line color 1
  Options: red,orange,yellow,green,blue,indigo,violet,white,black,gray,brown,magenta,aqua,grey
  Default: white
c2=string
  line color 2
  Options: red,orange,yellow,green,blue,indigo,violet,white,black,gray,brown,magenta,aqua,grey
  Default: black

## DESCRIPTION

d.measure provides the user with an interactive way to measure the lengths and areas of lines and polygons drawn by the user in the active frame on the graphics monitor. Lines and polygons are drawn using a pointing device (mouse). Each line segment is drawn in colors c1 and c2. A mouse button menu indicates that the user can find out the geographic coordinates of the cursor location, draw line segments between user-specified vertices, and quit d.measure. Lines and polygons are defined by the series of vertices marked by the user. If more than two successive vertices are drawn, d.measure prints the area encompassed (d.measure will assume the area is closed even if the user has not joined the first and last vertices). Line lengths are stated in the same units as those of the current LOCATION. In a XY-LOCATION, where no units are available, d.measure prints a warning and gives results without units. Areas are stated in hectares, square miles, square meters and square kilometers. Lines and polygons drawn using d.measure will overlay (not overwrite) whatever display currently appears in the active frame on the graphics monitor. The user can, for example, run d.rast or d.vect prior to running d.measure, and use raster and/or vector maps as a backdrop.

## NOTES

d.measure uses all segments drawn by the user when computing area. If the user draws an area within another area, the combined area of both regions will be output.

## SEE ALSO

d.frame
d.graph
d.mapgraph
d.rast
d.vect
d.where

## AUTHORS

James Westervelt,
Michael Shapiro,
U.S. Army Construction Engineering Research Laboratory

Last changed: $Date: 2004/08/10 08:35:01 $

Help Index